<?php
declare(strict_types=1);
/**
 * @copyright Copyright (c) 2020 Florian Steffens <flost-dev@mailbox.org>
 *
 * @author Florian Steffens <flost-dev@mailbox.org>
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

namespace OCA\Health\Controller;

use OCP\IRequest;
use OCP\AppFramework\Http\TemplateResponse;
use OCP\AppFramework\Controller;
use OCP\Util;

class PageController extends Controller {

	protected $cesService;

	public function __construct($appName, IRequest $request) {
		parent::__construct($appName, $request);
		// $this->cesService = $cesService;
	}

	/**
	 * @NoAdminRequired
	 * @NoCSRFRequired
	 */
	public function index() {
		// $this->cesService->transformDatasets();
		// Util::addScript($this->appName, 'vue-chartjs.min');
		Util::addScript($this->appName, 'health-main');
		// Util::addScript($this->appName, 'health');
		Util::addStyle($this->appName, 'icons');
		//Util::addStyle($this->appName, 'bulma.min');

		$response = new TemplateResponse($this->appName, 'main');
		return $response;
	}
}
